be.fgov.ehealth.technicalconnector.signature.impl

## Class CmsSignatureBuilder

- java.lang.Object
- - be.fgov.ehealth.technicalconnector.signature.impl.AbstractSignatureBuilder
  - - be.fgov.ehealth.technicalconnector.signature.impl.CmsSignatureBuilder

- All Implemented Interfaces:
    SignatureBuilder

      public class CmsSignatureBuilder
      extends AbstractSignatureBuilder
      implements SignatureBuilder

  Implementation of a Cades Signature Verfication and signing logic. Extends : `AbstractSignatureBuilder` Implements : `SignatureBuilder`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmsSignatureBuilder(AdvancedElectronicSignatureEnumeration aes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdvancedElectronicSignatureEnumeration` | `getSupportedAES()`
    `byte[]` | `sign(Credential signatureCredential, byte[] byteArrayToSign)`
    `byte[]` | `sign(Credential signatureCredential, byte[] byteToSign, Map<String,Object> options)`
    `SignatureVerificationResult` | `verify(byte[] content, byte[] signature, Map<String,Object> options)`
    `SignatureVerificationResult` | `verify(byte[] signedByteArray, Map<String,Object> options)`
    `SignatureVerificationResult` | `verify(Document signedContent, Element sigElement, Map<String,Object> options)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmsSignatureBuilder

          public CmsSignatureBuilder(AdvancedElectronicSignatureEnumeration aes)

  - ### Method Detail

    - #### getSupportedAES

          public AdvancedElectronicSignatureEnumeration getSupportedAES()

      Specified by:
        `getSupportedAES` in interface `SignatureBuilder`
      Returns:

    - #### verify

          public SignatureVerificationResult verify(byte[] content,
                                                    byte[] signature,
                                                    Map<String,Object> options)
                                             throws TechnicalConnectorException

      Specified by:
        `verify` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### verify

          public SignatureVerificationResult verify(Document signedContent,
                                                    Element sigElement,
                                                    Map<String,Object> options)
                                             throws TechnicalConnectorException

      Specified by:
        `verify` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### verify

          public SignatureVerificationResult verify(byte[] signedByteArray,
                                                    Map<String,Object> options)
                                             throws TechnicalConnectorException

      Specified by:
        `verify` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### sign

          public byte[] sign(Credential signatureCredential,
                             byte[] byteArrayToSign)
                      throws TechnicalConnectorException

      Specified by:
        `sign` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### sign

          public byte[] sign(Credential signatureCredential,
                             byte[] byteToSign,
                             Map<String,Object> options)
                      throws TechnicalConnectorException

      Specified by:
        `sign` in interface `SignatureBuilder`
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSNURSE 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.